Looking for Lua binaries for Sqlite, LuaSQL, and Luazip (for Windows & Lua 5.3)

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Looking for Lua binaries for Sqlite, LuaSQL, and Luazip (for Windows & Lua 5.3)

Simon Orde-2

Hi

 

Has anyone built Lua DLLs for Windows, for Sqlite, LuaSQL and Luazip – or can point me to somewhere where I can get them?  They need to be compatible with Lua 5.3 and Visual Studio 2019 (which I think in practice means using VCRUNTIME140.DLL – i.e. builds with Visual 2017 and Visual 2015 should be OK).

 

I have tried building them myself using LuaRocks and failed.  I was able to get some modules to build, but not those three; so any help would be very much appreciated.

 

Thank you.

 

Simon

 

 

 

Reply | Threaded
Open this post in threaded view
|

RE: Looking for Lua binaries for Sqlite, LuaSQL, and Luazip (for Windows & Lua 5.3)

Simon Orde-2

Hi – I didn’t get any response to my previous post.  So I thought I’d try again.  Does anyone have any suggestions for how to get hold of Lua DLLs for Windows, for Sqlite, LuaSQL and Luazip, or can point me to somewhere where I can get them?

 

Failing that, can anyone help me out with advice with building them?  Any help with this would be very much appreciated.

 

Simon

 

 

From: Simon Orde [mailto:[hidden email]]
Sent: 15 July 2020 12:59 PM
To: 'Lua mailing list'
Subject: Looking for Lua binaries for Sqlite, LuaSQL, and Luazip (for Windows & Lua 5.3)

 

Hi

 

Has anyone built Lua DLLs for Windows, for Sqlite, LuaSQL and Luazip – or can point me to somewhere where I can get them?  They need to be compatible with Lua 5.3 and Visual Studio 2019 (which I think in practice means using VCRUNTIME140.DLL – i.e. builds with Visual 2017 and Visual 2015 should be OK).

 

I have tried building them myself using LuaRocks and failed.  I was able to get some modules to build, but not those three; so any help would be very much appreciated.

 

Thank you.

 

Simon

 

 

 

Reply | Threaded
Open this post in threaded view
|

Re: Looking for Lua binaries for Sqlite, LuaSQL, and Luazip (for Windows & Lua 5.3)

Antonio Scuri-2
  Hi Simon,

   For SqlLite I recommend the vcpkg distribution:


   LuaSQL I have no idea, but you can try to compile just the luasql-sqlite3 module.

   LuaZip should be easy too, it depends on  zziplib and zlib, both available in vcpkg.

   VCPKG will compile the source code with the compiler you have installed, since Visual Studio 2015. 

   We have short term plans to add IUP, CD and IM to VCPKG too.

Best,
Scuri


Em seg., 20 de jul. de 2020 às 12:59, Simon Orde <[hidden email]> escreveu:

Hi – I didn’t get any response to my previous post.  So I thought I’d try again.  Does anyone have any suggestions for how to get hold of Lua DLLs for Windows, for Sqlite, LuaSQL and Luazip, or can point me to somewhere where I can get them?

 

Failing that, can anyone help me out with advice with building them?  Any help with this would be very much appreciated.

 

Simon

 

 

From: Simon Orde [mailto:[hidden email]]
Sent: 15 July 2020 12:59 PM
To: 'Lua mailing list'
Subject: Looking for Lua binaries for Sqlite, LuaSQL, and Luazip (for Windows & Lua 5.3)

 

Hi

 

Has anyone built Lua DLLs for Windows, for Sqlite, LuaSQL and Luazip – or can point me to somewhere where I can get them?  They need to be compatible with Lua 5.3 and Visual Studio 2019 (which I think in practice means using VCRUNTIME140.DLL – i.e. builds with Visual 2017 and Visual 2015 should be OK).

 

I have tried building them myself using LuaRocks and failed.  I was able to get some modules to build, but not those three; so any help would be very much appreciated.

 

Thank you.

 

Simon